Bug 177895 - similar 1TB Western Digital "My Passports" - some load, some don't
Summary: similar 1TB Western Digital "My Passports" - some load, some don't
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: 9.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 06:30 UTC by Leif Velcro
Modified: 2017-12-31 22:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Velcro 2013-04-17 06:30:01 UTC
I have several Western Digital "My Passports". They are 1TB external USB
drives, all the same model (except for external color).

When I connect some of them, the system is happy and says this:

ugen1.2: <Western Digital> at usbus1
umass0: <MSC Bulk-Only Transport> on usbus1
umass0:  SCSI over Bulk-Only; quirks = 0x0000
umass0:3:0:-1: Attached to scbus3
da0 at umass-sim0 bus 0 scbus3 target 0 lun 0
da0: <WD My Passport 0748 1019> Fixed Direct Access SCSI-6 device 
da0: 1.000MB/s transfers
da0: 953837MB (1953458176 512 byte sectors: 255H 63S/T 121597C)
ses0 at umass-sim0 bus 0 scbus3 target 0 lun 1
ses0: <WD SES Device 1019> Fixed Enclosure Services SCSI-6 device 
ses0: 1.000MB/s transfers
ses0: SCSI-3 SES Device

When I connect others, the system is sad and says this:

ugen1.2: <Western Digital> at usbus1
umass0: <MSC Bulk-Only Transport> on usbus1
umass0:  SCSI over Bulk-Only; quirks = 0x4001
umass0:3:0:-1: Attached to scbus3
(da0:umass-sim0:0:0:0): got CAM status 0x4
(da0:umass-sim0:0:0:0): fatal error, failed to attach to device
(da0:umass-sim0:0:0:0): lost device - 0 outstanding, 4 refs
(da0:umass-sim0:0:0:0): removing device entry
(probe0:umass-sim0:0:0:1): INQUIRY. CDB: 12 0 0 0 24 0 
(probe0:umass-sim0:0:0:1): CAM status: CCB request completed with an error
(probe0:umass-sim0:0:0:1): Retrying command
(probe0:umass-sim0:0:0:1): INQUIRY. CDB: 12 0 0 0 24 0 
(probe0:umass-sim0:0:0:1): CAM status: CCB request completed with an error
(probe0:umass-sim0:0:0:1): Retrying command
(probe0:umass-sim0:0:0:1): INQUIRY. CDB: 12 0 0 0 24 0 
(probe0:umass-sim0:0:0:1): CAM status: CCB request completed with an error
(probe0:umass-sim0:0:0:1): Retrying command
(probe0:umass-sim0:0:0:1): INQUIRY. CDB: 12 0 0 0 24 0 
(probe0:umass-sim0:0:0:1): CAM status: CCB request completed with an error
(probe0:umass-sim0:0:0:1): Retrying command
(probe0:umass-sim0:0:0:1): INQUIRY. CDB: 12 0 0 0 24 0 
(probe0:umass-sim0:0:0:1): CAM status: CCB request completed with an error
(probe0:umass-sim0:0:0:1): Error 5, Retries exhausted

When the system is sad, it doesn't create a proper device, so you can't
access the drive, even to reformat it. All of these drives worked under
multiple systems (i386 and amd64) running 7.4-RELEASE-p12. The "bad" drives
continue to work fine on an old 7.4-RELEASE-p12 machine.

This new behavior is consistent on two i386 servers running 9.1-RELEASE-p2.
The same drives don't work in the same way on both systems.

Additionally, if the unrecognized drives are attached to the server during
a reboot, the system will hard freeze on shutdown. Manually pressing the
power button is necessary to reboot.

Are the different quirks a clue?

I am willing to reformat the "bad" drives to make them more compliant
with the new OS, but right now I can't access them at all.

How-To-Repeat: Plug one of the bad drives into an i386 system running 9.1-RELEASE-p2.
Plug that same bad drive into an old 7.4-RELEASE-p12 and it runs fine.
Plug a good drive in 9.1-RELEASE-p2 or 7.4-RELEASE-p12 systems and it
doesn't have the problem.
Comment 1 HPS 2013-04-21 17:06:12 UTC
Hi,

Try using "usbdump -i usbusX -f Y -s 65536" to look at the traffic.

Also see EHCI quirks which you can set from /boot/loader.conf:

sysctl hw.usb.ehci

--HPS
Comment 2 Leif Velcro 2013-04-23 20:47:14 UTC
> On 04/17/13 07:27, Leif Velcro wrote:=0A=0A>> =0A>>>  Number:=A0 =A0 =A0 =
=A0  177895=0A>>>  Category:=A0 =A0 =A0  usb=0A>>>  Synopsis:=A0 =A0 =A0  s=
imilar 1TB Western Digital "My Passports" -=A0 some load, some don't=0A=0AH=
ans Petter Selasky wrote:=0A> Try using "usbdump -i usbusX -f Y -s 65536" t=
o look at the traffic.=0A=0AI did this with a bad drive plugged in:=0A# usb=
dump -i usbus1 -f 2 -s 65536=0A07:43:56.497098 usbus1.2 SUBM-CTRL-EP=3D0000=
0000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D0=0A07:43:56.498704 usbus1.2 DONE-C=
TRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:43:56.4=
98716 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=
=0A07:43:56.500694 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=
=3D0,IVAL=3D0,ERR=3D0=0A07:43:56.514058 usbus1.2 SUBM-CTRL-EP=3D00000080,SP=
D=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.516692 usbus1.2 DONE-CTRL-EP=
=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0,ERR=3D0=0A07:43:56.518899 =
usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:=
43:56.521691 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D20,=
IVAL=3D0,ERR=3D0=0A07:43:56.521710 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DF=
ULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.524690 usbus1.2 DONE-CTRL-EP=3D000=
00080,SPD=3DFULL,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:43:56.524702 usbus1=
.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.=
527688 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D4,IVAL=3D=
0,ERR=3D0=0A07:43:56.527701 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=
=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.530689 usbus1.2 DONE-CTRL-EP=3D00000080,S=
PD=3DFULL,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:43:56.530701 usbus1.2 SUBM=
-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.533688 =
usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D52,IVAL=3D0,ERR=
=3D0=0A07:43:56.533702 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,=
SLEN=3D8,IVAL=3D0=0A07:43:56.536687 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3D=
FULL,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:43:56.536699 usbus1.2 SUBM-CTRL=
-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.539686 usbus=
1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D32,IVAL=3D0,ERR=3D0=
=0A07:43:56.539699 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=
=3D8,IVAL=3D0=0A07:43:56.542686 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL=
,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:43:56.542698 usbus1.2 SUBM-CTRL-EP=
=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.545686 usbus1.2=
 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D36,IVAL=3D0,ERR=3D0=0A07=
:43:56.545707 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,=
IVAL=3D0=0A07:43:56.548685 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=
=3D2,SLEN=3D12,IVAL=3D0,ERR=3D0=0A07:43:56.548698 usbus1.2 SUBM-CTRL-EP=3D0=
0000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:56.551680 usbus1.2 DON=
E-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D32,IVAL=3D0,ERR=3D0=0A07:43:=
56.551694 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=
=3D0=0A07:43:56.554684 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,=
SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:43:57.556537 usbus1.2 SUBM-CTRL-EP=3D0000008=
0,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:43:57.559522 usbus1.2 DONE-CTRL=
-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:43:57.5595=
55 usbus1.2 SUBM-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=3D32,IVAL=3D0=
=0A07:43:57.561517 usbus1.2 DONE-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=
=3D0,IVAL=3D0,ERR=3D0=0A07:43:57.561523 usbus1.2 SUBM-BULK-EP=3D00000081,SP=
D=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:43:57.563517 usbus1.2 DONE-BULK-EP=
=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D36,IVAL=3D0,ERR=3D0=0A07:43:57.563522=
 usbus1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07=
:43:57.565515 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D16=
,IVAL=3D0,ERR=3D0=0A07:43:57.565536 usbus1.2 SUBM-BULK-EP=3D00000002,SPD=3D=
FULL,NFR=3D1,SLEN=3D32,IVAL=3D0=0A07:43:57.567515 usbus1.2 DONE-BULK-EP=3D0=
0000002,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:43:57.567519 usbu=
s1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:43:5=
7.569515 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D16,IVAL=
=3D0,ERR=3D0=0A07:43:57.569534 usbus1.2 SUBM-BULK-EP=3D00000002,SPD=3DFULL,=
NFR=3D1,SLEN=3D32,IVAL=3D0=0A07:43:57.571515 usbus1.2 DONE-BULK-EP=3D000000=
02,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:43:57.571519 usbus1.2 =
SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:43:58.572=
792 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D0,SLEN=3D0,IVAL=3D0,E=
RR=3DTIMEOUT=0A07:43:58.572807 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,=
NFR=3D1,SLEN=3D8,IVAL=3D0=0A07:43:58.574349 usbus1.2 DONE-CTRL-EP=3D0000000=
0,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:43:58.574355 usbus1.2 S=
UBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:43:59.5757=
93 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D0,SLEN=3D0,IVAL=3D0,ER=
R=3DTIMEOUT=0A07:44:00.224074 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,N=
FR=3D1,SLEN=3D8,IVAL=3D0=0A07:44:00.226075 usbus1.2 DONE-CTRL-EP=3D00000000=
,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:44:00.226088 usbus1.2 SU=
BM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:00.22807=
1 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=
=3D0=0A07:44:00.242042 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,=
SLEN=3D8,IVAL=3D0=0A07:44:00.244069 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3D=
FULL,NFR=3D2,SLEN=3D8,IVAL=3D0,ERR=3D0=0A07:44:00.246895 usbus1.2 SUBM-CTRL=
-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:44:00.249069 usbus=
1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D20,IVAL=3D0,ERR=3D0=
=0A07:44:00.249108 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=
=3D8,IVAL=3D0=0A07:44:00.252069 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL=
,NFR=3D2,SLEN=3D12,IVAL=3D0,ERR=3D0=0A07:44:00.252085 usbus1.2 SUBM-CTRL-EP=
=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:44:00.255066 usbus1.2=
 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D32,IVAL=3D0,ERR=3D0=0A07=
:44:00.255081 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,=
IVAL=3D0=0A07:44:00.258066 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=
=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:44:00.268035 usbus1.2 SUBM-CTRL-EP=3D00=
000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:44:00.270072 usbus1.2 DONE=
-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:44:00=
.270088 usbus1.2 SUBM-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=
=3D0=0A07:44:00.273064 usbus1.2 DONE-CTRL-EP=3D00000080,SPD=3DFULL,NFR=3D2,=
SLEN=3D48,IVAL=3D0,ERR=3D0=0A07:44:00.279138 usbus1.2 SUBM-CTRL-EP=3D000000=
80,SPD=3DFULL,NFR=3D2,SLEN=3D8,IVAL=3D0=0A07:44:00.282069 usbus1.2 DONE-CTR=
L-EP=3D00000080,SPD=3DFULL,NFR=3D2,SLEN=3D4,IVAL=3D0,ERR=3D0=0A07:44:00.282=
883 usbus1.2 SUBM-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=3D32,IVAL=3D0=
=0A07:44:00.284071 usbus1.2 DONE-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=
=3D0,IVAL=3D0,ERR=3D0=0A07:44:00.284079 usbus1.2 SUBM-BULK-EP=3D00000081,SP=
D=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:02.964633 usbus1.2 DONE-BULK-EP=
=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D36,IVAL=3D0,ERR=3D0=0A07:44:02.964649=
 usbus1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07=
:44:02.966614 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D16=
,IVAL=3D0,ERR=3D0=0A07:44:02.966654 usbus1.2 SUBM-BULK-EP=3D00000002,SPD=3D=
FULL,NFR=3D1,SLEN=3D32,IVAL=3D0=0A07:44:02.968614 usbus1.2 DONE-BULK-EP=3D0=
0000002,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:44:02.968618 usbu=
s1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:0=
2.970613 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D76,IVAL=
=3D0,ERR=3D0=0A07:44:02.970618 usbus1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,=
NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:02.972612 usbus1.2 DONE-BULK-EP=3D0000008=
1,SPD=3DFULL,NFR=3D1,SLEN=3D16,IVAL=3D0,ERR=3D0=0A07:44:02.972645 usbus1.2 =
SUBM-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=3D32,IVAL=3D0=0A07:44:02.97=
4612 usbus1.2 DONE-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,=
ERR=3D0=0A07:44:02.974617 usbus1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=
=3D1,SLEN=3D0,IVAL=3D0=0A07:44:02.976612 usbus1.2 DONE-BULK-EP=3D00000081,S=
PD=3DFULL,NFR=3D1,SLEN=3D16,IVAL=3D0,ERR=3D0=0A07:44:02.976616 usbus1.2 SUB=
M-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:02.978611=
 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D16,IVAL=3D0,ERR=
=3D0=0A07:44:02.978634 usbus1.2 SUBM-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,=
SLEN=3D32,IVAL=3D0=0A07:44:02.980610 usbus1.2 DONE-BULK-EP=3D00000002,SPD=
=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A07:44:02.980615 usbus1.2 SUBM-B=
ULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:02.982611 us=
bus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D24,IVAL=3D0,ERR=3D=
0=0A07:44:02.982615 usbus1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLE=
N=3D0,IVAL=3D0=0A07:44:02.984610 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFUL=
L,NFR=3D1,SLEN=3D16,IVAL=3D0,ERR=3D0=0A07:44:02.984633 usbus1.2 SUBM-BULK-E=
P=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=3D32,IVAL=3D0=0A07:44:02.986610 usbus1=
.2 DONE-BULK-EP=3D00000002,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3D0=0A0=
7:44:02.986615 usbus1.2 SUBM-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0=
,IVAL=3D0=0A07:44:02.988611 usbus1.2 DONE-BULK-EP=3D00000081,SPD=3DFULL,NFR=
=3D1,SLEN=3D12,IVAL=3D0,ERR=3D0=0A07:44:02.988615 usbus1.2 SUBM-BULK-EP=3D0=
0000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0=0A07:44:02.990609 usbus1.2 DON=
E-BULK-EP=3D00000081,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D0,ERR=3DSTALLED=0A0=
7:44:02.990617 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8=
,IVAL=3D0=0A07:44:02.992607 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=
=3D1,SLEN=3D0,IVAL=3D0,ERR=3DSTALLED=0A07:44:03.480782 usbus1.2 SUBM-CTRL-E=
P=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:03.482533 usbus=
1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=
=0A07:44:03.530779 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=
=3D8,IVAL=3D50=0A07:44:03.532519 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFUL=
L,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:04.020780 usbus1.2 SUBM-=
CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:04.022438=
 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ER=
R=3D0=0A07:44:04.070783 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1=
,SLEN=3D8,IVAL=3D50=0A07:44:04.072432 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=
=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:04.560782 usbus1.2=
 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:04.=
562353 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D=
500,ERR=3D0=0A07:44:04.610782 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,N=
FR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:04.612339 usbus1.2 DONE-CTRL-EP=3D0000000=
0,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:05.100781 usb=
us1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:4=
4:05.102260 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IV=
AL=3D500,ERR=3D0=0A07:44:05.150778 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DF=
ULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:05.152249 usbus1.2 DONE-CTRL-EP=3D00=
000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:05.64078=
2 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=
=0A07:44:05.642170 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=
=3D0,IVAL=3D500,ERR=3D0=0A07:44:05.690780 usbus1.2 SUBM-CTRL-EP=3D00000000,=
SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:05.692158 usbus1.2 DONE-CTRL-=
EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:0=
6.181783 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=
=3D500=0A07:44:06.183083 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D=
1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:06.231778 usbus1.2 SUBM-CTRL-EP=3D000=
00000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:06.233068 usbus1.2 DONE=
-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A0=
7:44:06.721781 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8=
,IVAL=3D500=0A07:44:06.722990 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,N=
FR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:06.771778 usbus1.2 SUBM-CTRL-EP=
=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:06.772978 usbus1.=
2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALL=
ED=0A07:44:07.261782 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SL=
EN=3D8,IVAL=3D500=0A07:44:07.262897 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3D=
FULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:07.311778 usbus1.2 SUBM-CT=
RL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:07.312888 us=
bus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3D=
STALLED=0A07:44:07.801781 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=
=3D1,SLEN=3D8,IVAL=3D500=0A07:44:07.802808 usbus1.2 DONE-CTRL-EP=3D00000000=
,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:07.851779 usbus1.2 =
SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:07.85=
2797 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50=
,ERR=3DSTALLED=0A07:44:08.341782 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFUL=
L,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:08.343719 usbus1.2 DONE-CTRL-EP=3D000=
00000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:08.391778 usbu=
s1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A07:44:=
08.393708 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=
=3D50,ERR=3DSTALLED=0A07:44:08.883783 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=
=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:08.885634 usbus1.2 DONE-CTRL-EP=
=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:08.93377=
8 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D50=0A=
07:44:08.935617 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D=
0,IVAL=3D50,ERR=3DSTALLED=0A07:44:09.425785 usbus1.2 SUBM-CTRL-EP=3D0000000=
0,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:09.427543 usbus1.2 DONE-CT=
RL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:44:09.=
475778 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D=
50=0A07:44:09.477527 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SL=
EN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:09.967782 usbus1.2 SUBM-CTRL-EP=3D00=
000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:09.969449 usbus1.2 DO=
NE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=0A07:4=
4:10.017785 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IV=
AL=3D50=0A07:44:10.019441 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=
=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:10.509784 usbus1.2 SUBM-CTRL-=
EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:10.511361 usbu=
s1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ERR=3D0=
=0A07:44:10.559778 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=
=3D8,IVAL=3D50=0A07:44:10.561345 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFUL=
L,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A07:44:11.051782 usbus1.2 SUBM-=
CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D8,IVAL=3D500=0A07:44:11.053268=
 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D500,ER=
R=3D0=0A07:44:11.101780 usbus1.2 SUBM-CTRL-EP=3D00000000,SPD=3DFULL,NFR=3D1=
,SLEN=3D8,IVAL=3D50=0A07:44:11.103258 usbus1.2 DONE-CTRL-EP=3D00000000,SPD=
=3DFULL,NFR=3D1,SLEN=3D0,IVAL=3D50,ERR=3DSTALLED=0A=0ADo you need the outpu=
t from the functional drive?=A0 It's much longer and very similar, although=
 it only has a few ERR=3DSTALLED and no ERR=3DTIMEOUT.=A0 I don't really kn=
ow what I'm looking for here, so my analysis is not very good.=0A=0A> Also =
see EHCI quirks which you can set from /boot/loader.conf:=0A> sysctl hw.usb=
.ehci=0A=0ASince they are exactly the same drive model, should I really hav=
e different quirks for each?=A0 Anyway, I'm not sure what to do with the ab=
ove, but if you're a bit more explicit, I'm willing to experiment.=0A=0AHop=
efully the output I posted above will be useful...=0A=0ABy the way, I notic=
ed this line in /sys/dev/usb/quirk/usb_quirk.c=0A=0A=A0=A0=A0=A0=A0=A0=A0 U=
SB_QUIRK(WESTERN, MYPASSWORD, 0x0000, 0xffff, UQ_MSC_FORCE_SHORT_INQ),=0A=
=0AIs that a typo for MYPASSPORT?=0A=0AI tried applying that quirk directly=
 with=0A=0A# usbconfig -d ugen1.2 add_quirk UQ_MSC_FORCE_SHORT_INQ=0A=0Aand=
 it did change the output when I plugged in the drive.=A0 It didn't give al=
l those "CAM status: CCB request completed with an error" lines, but it als=
o didn't mount the device, so it didn't quite work.=0A=0ANot sure where to =
go from here.=A0 Just let me know if you need any more output or experiment=
ation.=0A=0AThanks for your help!=0A=0ALeif=0A
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:01 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped